/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  http://www.netlib.org.
 *
 *  Fortran input file: disnan.f
 *  f2java version: 0.8.1
 *
 *
 *  Manually adjusted by
 *  @author Vladislav Malyshkin mal@gromco.com
 *  @version $Id: Disnan.java,v 1.2 2012/12/15 18:18:25 mal Exp $
 *
 */

package com.polytechnik.lapack;



public class Disnan {

// *> \brief \b DISNAN tests input for NaN.
// *
// *  =========== DOCUMENTATION ===========
// *
// * Online html documentation available at 
// *            http://www.netlib.org/lapack/explore-html/ 
// *
// *> \htmlonly
// *> Download DISNAN + dependencies 
// *> <a href="http://www.netlib.org/cgi-bin/netlibfiles.tgz?format=tgz&fil
// *> [TGZ]</a> 
// *> <a href="http://www.netlib.org/cgi-bin/netlibfiles.zip?format=zip&fil
// *> [ZIP]</a> 
// *> <a href="http://www.netlib.org/cgi-bin/netlibfiles.txt?format=txt&fil
// *> [TXT]</a>
// *> \endhtmlonly 
// *
// *  Definition:
// *  ===========
// *
// *       LOGICAL FUNCTION DISNAN( DIN )
// * 
// *       .. Scalar Arguments ..
// *       DOUBLE PRECISION   DIN
// *       ..
// *  
// *
// *> \par Purpose:
// *  =============
// *>
// *> \verbatim
// *>
// *> DISNAN returns .TRUE. if its argument is NaN, and .FALSE.
// *> otherwise.  To be replaced by the Fortran 2003 intrinsic in the
// *> future.
// *> \endverbatim
// *
// *  Arguments:
// *  ==========
// *
// *> \param[in] DIN
// *> \verbatim
// *>          DIN is DOUBLE PRECISION
// *>          Input to test for NaN.
// *> \endverbatim
// *
// *  Authors:
// *  ========
// *
// *> \author Univ. of Tennessee 
// *> \author Univ. of California Berkeley 
// *> \author Univ. of Colorado Denver 
// *> \author NAG Ltd. 
// *
// *> \date September 2012
// *
// *> \ingroup auxOTHERauxiliary
// *
// *  =====================================================================
// 
/***
*     ..
*
*  =====================================================================
*
*  .. External Functions ..
***/
/***
*  ..
*  .. Executable Statements ..
***/

public static boolean disnan (double din)  {
    return Double.isNaN(din);
   }
} // End class.
