package com.polytechnik.utils;
/*
 * (C) Vladislav Malyshkin 2011
 * This file is under GPL version 3.
 *
 */

/** Manupulate orthogonal polynomials using Laguerre polynomials as basis.
 *  @version $Id: OrthogonalPolynomialsLaguerreBasis.java,v 1.27 2017/08/25 18:41:12 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
public class OrthogonalPolynomialsLaguerreBasis extends OrthogonalPolynomialsABasis {
public OrthogonalPolynomialsLaguerreBasis(){super(new Laguerre());}

/** To match sign to monomials basis. */
public double getSignToMatch(final int k){return (k%2==0)?1:-1;}

public double [] getRadauMultiplied(final double [] nodes0)
{
    final double [] res=new double [nodes0.length+1];
    // multiply by x
    B.setaxbP(nodes0.length-1,res,nodes0,1,0);
    return res;
}


public static void main(String [] args)
{
    new TestMonomials("BasisLaguerre",
		      new OrthogonalPolynomialsLaguerreBasis(),
		      1e-6,
		      new java.util.Random(14892531L),
		      0,20)
    {
	@Override void test_RadauMoments_directly_Bbasis(final double [] bnodes,final double [] rbnodes)
	{
	    final double [] res=new double [bnodes.length-1];
	    O.B.setXQnMomentsFromQnMoments(bnodes.length-1,res,bnodes);
	    UnitTests.checkDoubleArrayRel(res,"res",rbnodes,"rbnodes",eps);
	    System.err.println(name+":test_RadauMoments_directly_Bbasis test OK n="+bnodes.length+" eps="+eps);
	}
    }.runTests(7);
}

}
