package com.polytechnik.utils;
/*
 * (C) Vladislav Malyshkin 2011
 * This file is under GPL version 3.
 *
 */

/** Manupulate orthogonal polynomials using Legendre polynomials as basis.
 *  @version $Id: OrthogonalPolynomialsLegendreBasis.java,v 1.7 2015/10/25 15:28:24 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
public class OrthogonalPolynomialsLegendreBasis extends OrthogonalPolynomialsABasis {

public OrthogonalPolynomialsLegendreBasis(){super(new Legendre());}

/** Multiply by (1-x).
 */
public double [] getRadauMultiplied(final double [] nodes0)
{
    final double [] res=new double [nodes0.length+1];
    // multiply by 1-x
    B.setaxbP(nodes0.length-1,res,nodes0,-1,1);
    return res;
}


public static void main(String [] args)
{
    new TestMonomials("BasisLegendre",
		      new OrthogonalPolynomialsLegendreBasis(),
		      1e-6,
		      new java.util.Random(8831L),
		      -1,1)
    {
	@Override void test_RadauMoments_directly_Bbasis(final double [] bnodes,final double [] rbnodes)
	{
	    final double [] res=new double [bnodes.length-1];
	    O.B.setXQnMomentsFromQnMoments(bnodes.length-1,res,bnodes);
	    for(int k=res.length;--k>=0;) {res[k]=bnodes[k]-res[k];}
	    UnitTests.checkDoubleArrayRel(res,"res",rbnodes,"rbnodes",eps);
	    System.err.println(name+":test_RadauMoments_directly_Bbasis test OK n="+bnodes.length+" eps="+eps);
	}
    }.runTests(7);
}

}
