package com.polytechnik.utils;
/*
 * (C) Vladislav Malyshkin 2011
 * This file is under GPL version 3.
 *
 */

/** Manupulate orthogonal polynomials using shifted Legendre as basis.
 *  @version $Id: OrthogonalPolynomialsLegendreShiftedBasis.java,v 1.25 2015/10/25 15:28:24 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
public class OrthogonalPolynomialsLegendreShiftedBasis extends OrthogonalPolynomialsABasis {

public OrthogonalPolynomialsLegendreShiftedBasis(){super(new LegendreShifted());}

public double [] getRadauMultiplied(final double [] nodes0)
{
    final double [] res=new double [nodes0.length+1];
    // multiply by 1-x
    B.setaxbP(nodes0.length-1,res,nodes0,-1,1);
    return res;
}


public static void main(String [] args)
{
    new TestMonomials("BasisLegendreShifted",
		      new OrthogonalPolynomialsLegendreShiftedBasis(),
		      1e-6,
		      new java.util.Random(8831L),
		      0,1)
    {
	@Override void test_RadauMoments_directly_Bbasis(final double [] bnodes,final double [] rbnodes)
	{
	    final double [] res=new double [bnodes.length-1];
	    LegendreShifted.set1mXPnMomentsFromPnMoments(bnodes.length-1,res,bnodes);
	    UnitTests.checkDoubleArrayRel(res,"res",rbnodes,"rbnodes",eps);
	    System.err.println(name+":test_RadauMoments_directly_Bbasis test OK n="+bnodes.length+" eps="+eps);
	}
    }.runTests(7);
}

}
