package com.polytechnik.utils;
/*
 * (C) Vladislav Malyshkin 2015
 * This file is under GPL version 3.
 *
 */

/**
 *  a1*f1+a2*f2.
 *  @version $Id: Sum2DerivativesCalculateable.java,v 1.2 2017/04/14 19:23:13 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
public class Sum2DerivativesCalculateable implements DerivativesCalculateable {
    final DerivativesCalculateable f1,f2;
    final double a1,a2;
    public Sum2DerivativesCalculateable(
	final double a1,final DerivativesCalculateable f1,
	final double a2,final DerivativesCalculateable f2)
    {
	this.a1=a1;
	this.f1=f1;
	this.a2=a2;
	this.f2=f2;
    }
    public double getF(final double x)
    {
	return a1*f1.getF(x)+a2*f2.getF(x);
    }
    public double getDF(final double x)
    {
	return a1*f1.getDF(x)+a2*f2.getDF(x);
    }
    public double getD2F(final double x)
    {
	return a1*f1.getD2F(x)+a2*f2.getD2F(x);
    }
}
