package com.polytechnik.utils;
/*
 * (C) Vladislav Malyshkin 2008
 * This file is under GPL version 3.
 *
 */
import java.util.Calendar;
import java.util.GregorianCalendar;
import java.util.Date;

/** Time utils.
 *  @version $Id: TimeUtils.java,v 1.5 2008/09/27 18:54:28 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */

public class TimeUtils {
    public static final java.util.TimeZone defaultTZ=java.util.TimeZone.getTimeZone("America/New_York");

    public static java.text.DateFormat getStdFormat()
    {
	final java.text.DateFormat dateformat=
	    new java.text.SimpleDateFormat("dd/MMM/yyyy");
	dateformat.setTimeZone(TimeUtils.defaultTZ);
	return dateformat;
    }

    /** The number of milliseconds in a day. */
    public static final long  MILLISECONDSINADAY=24L*3600L*1000L;

    public static long getTime00(long t)
    {
	final Calendar cln=new GregorianCalendar(TimeUtils.defaultTZ);
	cln.setTime(new Date(t));
	cln.set(Calendar.HOUR_OF_DAY,0);
	cln.set(Calendar.MINUTE,0);
	cln.set(Calendar.SECOND,0);
	cln.set(Calendar.MILLISECOND,0);
	return cln.getTime().getTime();
    }

    /** Returns current time. */
    public static final long getTime()
    {
      return System.currentTimeMillis();
    }

}
