package com.polytechnik.utils;
/*
 * (C) Vladislav Malyshkin 2008
 * This file is under GPL version 3.
 *
 */

/** A task for worker.
 *  @version $Id: WorkerTask.java,v 1.10 2011/10/08 08:59:33 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
public interface WorkerTask {

    /** Executed synchroneously by the caller thread.
     */
    void initializeTask(int tasknum);

    /** Executed asynchroneously by the worker thread.
     */
    void performTask(int tasknum);

    /** Executed by working thread after acuiring a lock. */
    void cleanupTask(final int tasknum);

}
